#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPseudoElement = 1138,
  CSSRule = 1155,
  CSSRuleList = 1163,
  CSSStyleDeclaration = 1175,
  CSSStyleRule = 1195,
  CSSStyleSheet = 1208,
  CSSSupportsRule = 1222,
  CSSTransition = 1238,
  Cache = 1252,
  CacheStorage = 1258,
  CallbackDebuggerNotification = 1271,
  CanonicalBrowsingContext = 1300,
  CanvasCaptureMediaStream = 1325,
  CanvasGradient = 1350,
  CanvasPattern = 1365,
  CanvasRenderingContext2D = 1379,
  CaretPosition = 1404,
  CaretStateChangedEvent = 1418,
  ChannelMergerNode = 1441,
  ChannelSplitterNode = 1459,
  ChannelWrapper = 1479,
  CharacterData = 1494,
  CheckerboardReportService = 1508,
  ChildProcessMessageManager = 1534,
  ChildSHistory = 1561,
  ChromeMessageBroadcaster = 1575,
  ChromeMessageSender = 1600,
  ChromeNodeList = 1620,
  ChromeUtils = 1635,
  ChromeWorker = 1647,
  Client = 1660,
  Clients = 1667,
  Clipboard = 1675,
  ClipboardEvent = 1685,
  ClipboardItem = 1700,
  ClonedErrorHolder = 1714,
  CloseEvent = 1732,
  CommandEvent = 1743,
  Comment = 1756,
  CompositionEvent = 1764,
  ConsoleInstance = 1781,
  ConstantSourceNode = 1797,
  ContentFrameMessageManager = 1816,
  ContentProcessMessageManager = 1843,
  ConvolverNode = 1872,
  CountQueuingStrategy = 1886,
  CreateOfferRequest = 1907,
  Credential = 1926,
  CredentialsContainer = 1937,
  Crypto = 1958,
  CryptoKey = 1965,
  CustomElementRegistry = 1975,
  CustomEvent = 1997,
  DOMException = 2009,
  DOMImplementation = 2022,
  DOMLocalization = 2040,
  DOMMatrix = 2056,
  DOMMatrixReadOnly = 2066,
  DOMParser = 2084,
  DOMPoint = 2094,
  DOMPointReadOnly = 2103,
  DOMQuad = 2120,
  DOMRect = 2128,
  DOMRectList = 2136,
  DOMRectReadOnly = 2148,
  DOMRequest = 2164,
  DOMStringList = 2175,
  DOMStringMap = 2189,
  DOMTokenList = 2202,
  DataTransfer = 2215,
  DataTransferItem = 2228,
  DataTransferItemList = 2245,
  DebuggerNotification = 2266,
  DebuggerNotificationObserver = 2287,
  DedicatedWorkerGlobalScope = 2316,
  DelayNode = 2343,
  DeprecationReportBody = 2353,
  DeviceAcceleration = 2375,
  DeviceLightEvent = 2394,
  DeviceMotionEvent = 2411,
  DeviceOrientationEvent = 2429,
  DeviceRotationRate = 2452,
  Directory = 2471,
  Document = 2481,
  DocumentFragment = 2490,
  DocumentL10n = 2507,
  DocumentTimeline = 2520,
  DocumentType = 2537,
  DominatorTree = 2550,
  DragEvent = 2564,
  DynamicsCompressorNode = 2574,
  EXT_blend_minmax = 2597,
  EXT_color_buffer_float = 2614,
  EXT_color_buffer_half_float = 2637,
  EXT_disjoint_timer_query = 2665,
  EXT_float_blend = 2690,
  EXT_frag_depth = 2706,
  EXT_sRGB = 2721,
  EXT_shader_texture_lod = 2730,
  EXT_texture_compression_bptc = 2753,
  EXT_texture_compression_rgtc = 2782,
  EXT_texture_filter_anisotropic = 2811,
  EXT_texture_norm16 = 2842,
  Element = 2861,
  ElementInternals = 2869,
  ErrorEvent = 2886,
  Event = 2897,
  EventCallbackDebuggerNotification = 2903,
  EventCounts = 2937,
  EventSource = 2949,
  EventTarget = 2961,
  Exception = 2973,
  ExtendableEvent = 2983,
  ExtendableMessageEvent = 2999,
  ExtensionAlarms = 3022,
  ExtensionBrowser = 3038,
  ExtensionEventManager = 3055,
  ExtensionMockAPI = 3077,
  ExtensionPort = 3094,
  ExtensionRuntime = 3108,
  ExtensionScripting = 3125,
  ExtensionTest = 3144,
  External = 3158,
  FeaturePolicy = 3167,
  FeaturePolicyViolationReportBody = 3181,
  FetchEvent = 3214,
  FetchObserver = 3225,
  File = 3239,
  FileList = 3244,
  FileReader = 3253,
  FileReaderSync = 3264,
  FileSystem = 3279,
  FileSystemDirectoryEntry = 3290,
  FileSystemDirectoryHandle = 3315,
  FileSystemDirectoryHandle_AsyncIterator = 3341,
  FileSystemDirectoryIterator = 3381,
  FileSystemDirectoryReader = 3409,
  FileSystemEntry = 3435,
  FileSystemFileEntry = 3451,
  FileSystemFileHandle = 3471,
  FileSystemHandle = 3492,
  FileSystemSyncAccessHandle = 3509,
  FileSystemWritableFileStream = 3536,
  Flex = 3565,
  FlexItemValues = 3570,
  FlexLineValues = 3585,
  FluentBundle = 3600,
  FluentBundleAsyncIterator = 3613,
  FluentBundleIterator = 3639,
  FluentPattern = 3660,
  FluentResource = 3674,
  FocusEvent = 3689,
  FontFace = 3700,
  FontFaceSet = 3709,
  FontFaceSetIterator = 3721,
  FontFaceSetLoadEvent = 3741,
  FormData = 3762,
  FormData_Iterator = 3771,
  FormDataEvent = 3789,
  FrameCrashedEvent = 3803,
  FrameLoader = 3821,
  GPU = 3833,
  GPUAdapter = 3837,
  GPUBindGroup = 3848,
  GPUBindGroupLayout = 3861,
  GPUBuffer = 3880,
  GPUBufferUsage = 3890,
  GPUCanvasContext = 3905,
  GPUColorWrite = 3922,
  GPUCommandBuffer = 3936,
  GPUCommandEncoder = 3953,
  GPUCompilationInfo = 3971,
  GPUCompilationMessage = 3990,
  GPUComputePassEncoder = 4012,
  GPUComputePipeline = 4034,
  GPUDevice = 4053,
  GPUDeviceLostInfo = 4063,
  GPUMapMode = 4081,
  GPUOutOfMemoryError = 4092,
  GPUPipelineLayout = 4112,
  GPUQuerySet = 4130,
  GPUQueue = 4142,
  GPURenderBundle = 4151,
  GPURenderBundleEncoder = 4167,
  GPURenderPassEncoder = 4190,
  GPURenderPipeline = 4211,
  GPUSampler = 4229,
  GPUShaderModule = 4240,
  GPUShaderStage = 4256,
  GPUSupportedFeatures = 4271,
  GPUSupportedLimits = 4292,
  GPUTexture = 4311,
  GPUTextureUsage = 4322,
  GPUTextureView = 4338,
  GPUUncapturedErrorEvent = 4353,
  GPUValidationError = 4377,
  GainNode = 4396,
  Gamepad = 4405,
  GamepadAxisMoveEvent = 4413,
  GamepadButton = 4434,
  GamepadButtonEvent = 4448,
  GamepadEvent = 4467,
  GamepadHapticActuator = 4480,
  GamepadLightIndicator = 4502,
  GamepadPose = 4524,
  GamepadServiceTest = 4536,
  GamepadTouch = 4555,
  Geolocation = 4568,
  GeolocationCoordinates = 4580,
  GeolocationPosition = 4603,
  GeolocationPositionError = 4623,
  GetUserMediaRequest = 4648,
  GleanCategory = 4668,
  GleanImpl = 4682,
  GleanLabeled = 4692,
  GleanPingsImpl = 4705,
  Grid = 4720,
  GridArea = 4725,
  GridDimension = 4734,
  GridLine = 4748,
  GridLines = 4757,
  GridTrack = 4767,
  GridTracks = 4777,
  HTMLAllCollection = 4788,
  HTMLAnchorElement = 4806,
  HTMLAreaElement = 4824,
  HTMLAudioElement = 4840,
  HTMLBRElement = 4857,
  HTMLBaseElement = 4871,
  HTMLBodyElement = 4887,
  HTMLButtonElement = 4903,
  HTMLCanvasElement = 4921,
  HTMLCollection = 4939,
  HTMLDListElement = 4954,
  HTMLDataElement = 4971,
  HTMLDataListElement = 4987,
  HTMLDetailsElement = 5007,
  HTMLDialogElement = 5026,
  HTMLDirectoryElement = 5044,
  HTMLDivElement = 5065,
  HTMLDocument = 5080,
  HTMLElement = 5093,
  HTMLEmbedElement = 5105,
  HTMLFieldSetElement = 5122,
  HTMLFontElement = 5142,
  HTMLFormControlsCollection = 5158,
  HTMLFormElement = 5185,
  HTMLFrameElement = 5201,
  HTMLFrameSetElement = 5218,
  HTMLHRElement = 5238,
  HTMLHeadElement = 5252,
  HTMLHeadingElement = 5268,
  HTMLHtmlElement = 5287,
  HTMLIFrameElement = 5303,
  HTMLImageElement = 5321,
  HTMLInputElement = 5338,
  HTMLLIElement = 5355,
  HTMLLabelElement = 5369,
  HTMLLegendElement = 5386,
  HTMLLinkElement = 5404,
  HTMLMapElement = 5420,
  HTMLMarqueeElement = 5435,
  HTMLMediaElement = 5454,
  HTMLMenuElement = 5471,
  HTMLMetaElement = 5487,
  HTMLMeterElement = 5503,
  HTMLModElement = 5520,
  HTMLOListElement = 5535,
  HTMLObjectElement = 5552,
  HTMLOptGroupElement = 5570,
  HTMLOptionElement = 5590,
  HTMLOptionsCollection = 5608,
  HTMLOutputElement = 5630,
  HTMLParagraphElement = 5648,
  HTMLParamElement = 5669,
  HTMLPictureElement = 5686,
  HTMLPreElement = 5705,
  HTMLProgressElement = 5720,
  HTMLQuoteElement = 5740,
  HTMLScriptElement = 5757,
  HTMLSelectElement = 5775,
  HTMLSlotElement = 5793,
  HTMLSourceElement = 5809,
  HTMLSpanElement = 5827,
  HTMLStyleElement = 5843,
  HTMLTableCaptionElement = 5860,
  HTMLTableCellElement = 5884,
  HTMLTableColElement = 5905,
  HTMLTableElement = 5925,
  HTMLTableRowElement = 5942,
  HTMLTableSectionElement = 5962,
  HTMLTemplateElement = 5986,
  HTMLTextAreaElement = 6006,
  HTMLTimeElement = 6026,
  HTMLTitleElement = 6042,
  HTMLTrackElement = 6059,
  HTMLUListElement = 6076,
  HTMLUnknownElement = 6093,
  HTMLVideoElement = 6112,
  HashChangeEvent = 6129,
  Headers = 6145,
  Headers_Iterator = 6153,
  HeapSnapshot = 6170,
  History = 6183,
  IDBCursor = 6191,
  IDBCursorWithValue = 6201,
  IDBDatabase = 6220,
  IDBFactory = 6232,
  IDBFileHandle = 6243,
  IDBFileRequest = 6257,
  IDBIndex = 6272,
  IDBKeyRange = 6281,
  IDBLocaleAwareKeyRange = 6293,
  IDBMutableFile = 6316,
  IDBObjectStore = 6331,
  IDBOpenDBRequest = 6346,
  IDBRequest = 6363,
  IDBTransaction = 6374,
  IDBVersionChangeEvent = 6389,
  IIRFilterNode = 6411,
  IOUtils = 6425,
  IdentityCredential = 6433,
  IdleDeadline = 6452,
  Image = 6465,
  ImageBitmap = 6471,
  ImageBitmapRenderingContext = 6483,
  ImageCapture = 6511,
  ImageCaptureError = 6524,
  ImageCaptureErrorEvent = 6542,
  ImageData = 6565,
  ImageDocument = 6575,
  InputEvent = 6589,
  InspectorFontFace = 6600,
  InspectorUtils = 6618,
  InstallTriggerImpl = 6633,
  IntersectionObserver = 6652,
  IntersectionObserverEntry = 6673,
  IntlUtils = 6699,
  JSProcessActorChild = 6709,
  JSProcessActorParent = 6729,
  JSWindowActorChild = 6750,
  JSWindowActorParent = 6769,
  KeyEvent = 6789,
  KeyboardEvent = 6798,
  KeyframeEffect = 6812,
  L10nFileSource = 6827,
  L10nOverlays = 6842,
  L10nRegistry = 6855,
  LegacyMozTCPSocket = 6868,
  Localization = 6887,
  Location = 6900,
  Lock = 6909,
  LockManager = 6914,
  MIDIAccess = 6926,
  MIDIConnectionEvent = 6937,
  MIDIInput = 6957,
  MIDIInputMap = 6967,
  MIDIMessageEvent = 6980,
  MIDIOutput = 6997,
  MIDIOutputMap = 7008,
  MIDIPort = 7022,
  MOZ_debug = 7031,
  MatchGlob = 7041,
  MatchPattern = 7051,
  MatchPatternSet = 7064,
  MathMLElement = 7080,
  MediaCapabilities = 7094,
  MediaCapabilitiesInfo = 7112,
  MediaControlService = 7134,
  MediaController = 7154,
  MediaDeviceInfo = 7170,
  MediaDevices = 7186,
  MediaElementAudioSourceNode = 7199,
  MediaEncryptedEvent = 7227,
  MediaError = 7247,
  MediaKeyError = 7258,
  MediaKeyMessageEvent = 7272,
  MediaKeySession = 7293,
  MediaKeyStatusMap = 7309,
  MediaKeyStatusMap_Iterator = 7327,
  MediaKeySystemAccess = 7354,
  MediaKeys = 7375,
  MediaList = 7385,
  MediaMetadata = 7395,
  MediaQueryList = 7409,
  MediaQueryListEvent = 7424,
  MediaRecorder = 7444,
  MediaRecorderErrorEvent = 7458,
  MediaSession = 7482,
  MediaSource = 7495,
  MediaStream = 7507,
  MediaStreamAudioDestinationNode = 7519,
  MediaStreamAudioSourceNode = 7551,
  MediaStreamError = 7578,
  MediaStreamEvent = 7595,
  MediaStreamTrack = 7612,
  MediaStreamTrackAudioSourceNode = 7629,
  MediaStreamTrackEvent = 7661,
  MerchantValidationEvent = 7683,
  MessageBroadcaster = 7707,
  MessageChannel = 7726,
  MessageEvent = 7741,
  MessageListenerManager = 7754,
  MessagePort = 7777,
  MessageSender = 7789,
  MimeType = 7803,
  MimeTypeArray = 7812,
  MouseEvent = 7826,
  MouseScrollEvent = 7837,
  MozCanvasPrintState = 7854,
  MozDocumentMatcher = 7874,
  MozDocumentObserver = 7893,
  MozQueryInterface = 7913,
  MozSharedMap = 7931,
  MozSharedMap_Iterator = 7944,
  MozSharedMapChangeEvent = 7966,
  MozStorageAsyncStatementParams = 7990,
  MozStorageStatementParams = 8021,
  MozStorageStatementRow = 8047,
  MozWritableSharedMap = 8070,
  MutationEvent = 8091,
  MutationObserver = 8105,
  MutationRecord = 8122,
  NamedNodeMap = 8137,
  NavigationPreloadManager = 8150,
  Navigator = 8175,
  NetworkInformation = 8185,
  Node = 8204,
  NodeFilter = 8209,
  NodeIterator = 8220,
  NodeList = 8233,
  Notification = 8242,
  NotificationEvent = 8255,
  NotifyPaintEvent = 8273,
  OES_draw_buffers_indexed = 8290,
  OES_element_index_uint = 8315,
  OES_fbo_render_mipmap = 8338,
  OES_standard_derivatives = 8360,
  OES_texture_float = 8385,
  OES_texture_float_linear = 8403,
  OES_texture_half_float = 8428,
  OES_texture_half_float_linear = 8451,
  OES_vertex_array_object = 8481,
  OVR_multiview2 = 8505,
  OfflineAudioCompletionEvent = 8520,
  OfflineAudioContext = 8548,
  OfflineResourceList = 8568,
  OffscreenCanvas = 8588,
  OffscreenCanvasRenderingContext2D = 8604,
  Option = 8638,
  OscillatorNode = 8645,
  PageTransitionEvent = 8660,
  PaintRequest = 8680,
  PaintRequestList = 8693,
  PaintWorkletGlobalScope = 8710,
  PannerNode = 8734,
  ParentProcessMessageManager = 8745,
  Path2D = 8773,
  PathUtils = 8780,
  PaymentAddress = 8790,
  PaymentMethodChangeEvent = 8805,
  PaymentRequest = 8830,
  PaymentRequestUpdateEvent = 8845,
  PaymentResponse = 8871,
  Performance = 8887,
  PerformanceEntry = 8899,
  PerformanceEntryEvent = 8916,
  PerformanceEventTiming = 8938,
  PerformanceMark = 8961,
  PerformanceMeasure = 8977,
  PerformanceNavigation = 8996,
  PerformanceNavigationTiming = 9018,
  PerformanceObserver = 9046,
  PerformanceObserverEntryList = 9066,
  PerformancePaintTiming = 9095,
  PerformanceResourceTiming = 9118,
  PerformanceServerTiming = 9144,
  PerformanceTiming = 9168,
  PeriodicWave = 9186,
  PermissionStatus = 9199,
  Permissions = 9216,
  PlacesBookmark = 9228,
  PlacesBookmarkAddition = 9243,
  PlacesBookmarkChanged = 9266,
  PlacesBookmarkGuid = 9288,
  PlacesBookmarkMoved = 9307,
  PlacesBookmarkRemoved = 9327,
  PlacesBookmarkTags = 9349,
  PlacesBookmarkTime = 9368,
  PlacesBookmarkTitle = 9387,
  PlacesBookmarkUrl = 9407,
  PlacesEvent = 9425,
  PlacesFavicon = 9437,
  PlacesHistoryCleared = 9451,
  PlacesObservers = 9472,
  PlacesPurgeCaches = 9488,
  PlacesRanking = 9506,
  PlacesVisit = 9520,
  PlacesVisitRemoved = 9532,
  PlacesVisitTitle = 9551,
  PlacesWeakCallbackWrapper = 9568,
  Plugin = 9594,
  PluginArray = 9601,
  PluginCrashedEvent = 9613,
  PointerEvent = 9632,
  PopStateEvent = 9645,
  PopupBlockedEvent = 9659,
  PopupPositionedEvent = 9677,
  PositionStateEvent = 9698,
  PrecompiledScript = 9717,
  PrioEncoder = 9735,
  ProcessMessageManager = 9747,
  ProcessingInstruction = 9769,
  ProgressEvent = 9791,
  PromiseDebugging = 9805,
  PromiseNativeHandler = 9822,
  PromiseRejectionEvent = 9843,
  PublicKeyCredential = 9865,
  PushEvent = 9885,
  PushManager = 9895,
  PushManagerImpl = 9907,
  PushMessageData = 9923,
  PushSubscription = 9939,
  PushSubscriptionOptions = 9956,
  RadioNodeList = 9980,
  Range = 9994,
  ReadableByteStreamController = 10000,
  ReadableStream = 10029,
  ReadableStreamBYOBReader = 10044,
  ReadableStreamBYOBRequest = 10069,
  ReadableStreamDefaultController = 10095,
  ReadableStreamDefaultReader = 10127,
  Report = 10155,
  ReportBody = 10162,
  ReportingObserver = 10173,
  Request = 10191,
  ResizeObserver = 10199,
  ResizeObserverEntry = 10214,
  ResizeObserverSize = 10234,
  Response = 10253,
  SVGAElement = 10262,
  SVGAngle = 10274,
  SVGAnimateElement = 10283,
  SVGAnimateMotionElement = 10301,
  SVGAnimateTransformElement = 10325,
  SVGAnimatedAngle = 10352,
  SVGAnimatedBoolean = 10369,
  SVGAnimatedEnumeration = 10388,
  SVGAnimatedInteger = 10411,
  SVGAnimatedLength = 10430,
  SVGAnimatedLengthList = 10448,
  SVGAnimatedNumber = 10470,
  SVGAnimatedNumberList = 10488,
  SVGAnimatedPreserveAspectRatio = 10510,
  SVGAnimatedRect = 10541,
  SVGAnimatedString = 10557,
  SVGAnimatedTransformList = 10575,
  SVGAnimationElement = 10600,
  SVGCircleElement = 10620,
  SVGClipPathElement = 10637,
  SVGComponentTransferFunctionElement = 10656,
  SVGDefsElement = 10692,
  SVGDescElement = 10707,
  SVGElement = 10722,
  SVGEllipseElement = 10733,
  SVGFEBlendElement = 10751,
  SVGFEColorMatrixElement = 10769,
  SVGFEComponentTransferElement = 10793,
  SVGFECompositeElement = 10823,
  SVGFEConvolveMatrixElement = 10845,
  SVGFEDiffuseLightingElement = 10872,
  SVGFEDisplacementMapElement = 10900,
  SVGFEDistantLightElement = 10928,
  SVGFEDropShadowElement = 10953,
  SVGFEFloodElement = 10976,
  SVGFEFuncAElement = 10994,
  SVGFEFuncBElement = 11012,
  SVGFEFuncGElement = 11030,
  SVGFEFuncRElement = 11048,
  SVGFEGaussianBlurElement = 11066,
  SVGFEImageElement = 11091,
  SVGFEMergeElement = 11109,
  SVGFEMergeNodeElement = 11127,
  SVGFEMorphologyElement = 11149,
  SVGFEOffsetElement = 11172,
  SVGFEPointLightElement = 11191,
  SVGFESpecularLightingElement = 11214,
  SVGFESpotLightElement = 11243,
  SVGFETileElement = 11265,
  SVGFETurbulenceElement = 11282,
  SVGFilterElement = 11305,
  SVGForeignObjectElement = 11322,
  SVGGElement = 11346,
  SVGGeometryElement = 11358,
  SVGGradientElement = 11377,
  SVGGraphicsElement = 11396,
  SVGImageElement = 11415,
  SVGLength = 11431,
  SVGLengthList = 11441,
  SVGLineElement = 11455,
  SVGLinearGradientElement = 11470,
  SVGMPathElement = 11495,
  SVGMarkerElement = 11511,
  SVGMaskElement = 11528,
  SVGMatrix = 11543,
  SVGMetadataElement = 11553,
  SVGNumber = 11572,
  SVGNumberList = 11582,
  SVGPathElement = 11596,
  SVGPathSeg = 11611,
  SVGPathSegArcAbs = 11622,
  SVGPathSegArcRel = 11639,
  SVGPathSegClosePath = 11656,
  SVGPathSegCurvetoCubicAbs = 11676,
  SVGPathSegCurvetoCubicRel = 11702,
  SVGPathSegCurvetoCubicSmoothAbs = 11728,
  SVGPathSegCurvetoCubicSmoothRel = 11760,
  SVGPathSegCurvetoQuadraticAbs = 11792,
  SVGPathSegCurvetoQuadraticRel = 11822,
  SVGPathSegCurvetoQuadraticSmoothAbs = 11852,
  SVGPathSegCurvetoQuadraticSmoothRel = 11888,
  SVGPathSegLinetoAbs = 11924,
  SVGPathSegLinetoHorizontalAbs = 11944,
  SVGPathSegLinetoHorizontalRel = 11974,
  SVGPathSegLinetoRel = 12004,
  SVGPathSegLinetoVerticalAbs = 12024,
  SVGPathSegLinetoVerticalRel = 12052,
  SVGPathSegList = 12080,
  SVGPathSegMovetoAbs = 12095,
  SVGPathSegMovetoRel = 12115,
  SVGPatternElement = 12135,
  SVGPoint = 12153,
  SVGPointList = 12162,
  SVGPolygonElement = 12175,
  SVGPolylineElement = 12193,
  SVGPreserveAspectRatio = 12212,
  SVGRadialGradientElement = 12235,
  SVGRect = 12260,
  SVGRectElement = 12268,
  SVGSVGElement = 12283,
  SVGScriptElement = 12297,
  SVGSetElement = 12314,
  SVGStopElement = 12328,
  SVGStringList = 12343,
  SVGStyleElement = 12357,
  SVGSwitchElement = 12373,
  SVGSymbolElement = 12390,
  SVGTSpanElement = 12407,
  SVGTextContentElement = 12423,
  SVGTextElement = 12445,
  SVGTextPathElement = 12460,
  SVGTextPositioningElement = 12479,
  SVGTitleElement = 12505,
  SVGTransform = 12521,
  SVGTransformList = 12534,
  SVGUnitTypes = 12551,
  SVGUseElement = 12564,
  SVGViewElement = 12578,
  Sanitizer = 12593,
  Scheduler = 12603,
  Screen = 12613,
  ScreenLuminance = 12620,
  ScreenOrientation = 12636,
  ScriptProcessorNode = 12654,
  ScrollAreaEvent = 12674,
  ScrollViewChangeEvent = 12690,
  SecurityPolicyViolationEvent = 12712,
  Selection = 12741,
  ServiceWorker = 12751,
  ServiceWorkerContainer = 12765,
  ServiceWorkerGlobalScope = 12788,
  ServiceWorkerRegistration = 12813,
  SessionStoreFormData = 12839,
  SessionStoreScrollData = 12860,
  SessionStoreUtils = 12883,
  ShadowRealmGlobalScope = 12901,
  ShadowRoot = 12924,
  SharedWorker = 12935,
  SharedWorkerGlobalScope = 12948,
  SimpleGestureEvent = 12972,
  SourceBuffer = 12991,
  SourceBufferList = 13004,
  SpeechGrammar = 13021,
  SpeechGrammarList = 13035,
  SpeechRecognition = 13053,
  SpeechRecognitionAlternative = 13071,
  SpeechRecognitionError = 13100,
  SpeechRecognitionEvent = 13123,
  SpeechRecognitionResult = 13146,
  SpeechRecognitionResultList = 13170,
  SpeechSynthesis = 13198,
  SpeechSynthesisErrorEvent = 13214,
  SpeechSynthesisEvent = 13240,
  SpeechSynthesisUtterance = 13261,
  SpeechSynthesisVoice = 13286,
  StaticRange = 13307,
  StereoPannerNode = 13319,
  Storage = 13336,
  StorageEvent = 13344,
  StorageManager = 13357,
  StreamFilter = 13372,
  StreamFilterDataEvent = 13385,
  StructuredCloneHolder = 13407,
  StructuredCloneTester = 13429,
  StyleSheet = 13451,
  StyleSheetApplicableStateChangeEvent = 13462,
  StyleSheetList = 13499,
  SubmitEvent = 13514,
  SubtleCrypto = 13526,
  SyncMessageSender = 13539,
  SyncReadFile = 13557,
  TCPServerSocket = 13570,
  TCPServerSocketEvent = 13586,
  TCPSocket = 13607,
  TCPSocketErrorEvent = 13617,
  TCPSocketEvent = 13637,
  TaskController = 13652,
  TaskPriorityChangeEvent = 13667,
  TaskSignal = 13691,
  TelemetryStopwatch = 13702,
  TestUtils = 13721,
  TestingDeprecatedInterface = 13731,
  Text = 13758,
  TextClause = 13763,
  TextDecoder = 13774,
  TextDecoderStream = 13786,
  TextEncoder = 13804,
  TextEncoderStream = 13816,
  TextMetrics = 13834,
  TextTrack = 13846,
  TextTrackCue = 13856,
  TextTrackCueList = 13869,
  TextTrackList = 13886,
  TimeEvent = 13900,
  TimeRanges = 13910,
  Touch = 13921,
  TouchEvent = 13927,
  TouchList = 13938,
  TrackEvent = 13948,
  TransformStream = 13959,
  TransformStreamDefaultController = 13975,
  TransitionEvent = 14008,
  TreeColumn = 14024,
  TreeColumns = 14035,
  TreeContentView = 14047,
  TreeWalker = 14063,
  U2F = 14074,
  UDPMessageEvent = 14078,
  UDPSocket = 14094,
  UIEvent = 14104,
  URL = 14112,
  URLSearchParams = 14116,
  URLSearchParams_Iterator = 14132,
  UniFFIPointer = 14157,
  UniFFIScaffolding = 14171,
  UserInteraction = 14189,
  UserProximityEvent = 14205,
  VRDisplay = 14224,
  VRDisplayCapabilities = 14234,
  VRDisplayEvent = 14256,
  VREyeParameters = 14271,
  VRFieldOfView = 14287,
  VRFrameData = 14301,
  VRMockController = 14313,
  VRMockDisplay = 14330,
  VRPose = 14344,
  VRServiceTest = 14351,
  VRStageParameters = 14365,
  VTTCue = 14383,
  VTTRegion = 14390,
  ValidityState = 14400,
  VideoColorSpace = 14414,
  VideoFrame = 14430,
  VideoPlaybackQuality = 14441,
  VideoTrack = 14462,
  VideoTrackList = 14473,
  VisualViewport = 14488,
  WEBGL_color_buffer_float = 14503,
  WEBGL_compressed_texture_astc = 14528,
  WEBGL_compressed_texture_etc = 14558,
  WEBGL_compressed_texture_etc1 = 14587,
  WEBGL_compressed_texture_pvrtc = 14617,
  WEBGL_compressed_texture_s3tc = 14648,
  WEBGL_compressed_texture_s3tc_srgb = 14678,
  WEBGL_debug_renderer_info = 14713,
  WEBGL_debug_shaders = 14739,
  WEBGL_depth_texture = 14759,
  WEBGL_draw_buffers = 14779,
  WEBGL_explicit_present = 14798,
  WEBGL_lose_context = 14821,
  WaveShaperNode = 14840,
  WebExtensionContentScript = 14855,
  WebExtensionPolicy = 14881,
  WebGL2RenderingContext = 14900,
  WebGLActiveInfo = 14923,
  WebGLBuffer = 14939,
  WebGLContextEvent = 14951,
  WebGLFramebuffer = 14969,
  WebGLProgram = 14986,
  WebGLQuery = 14999,
  WebGLRenderbuffer = 15010,
  WebGLRenderingContext = 15028,
  WebGLSampler = 15050,
  WebGLShader = 15063,
  WebGLShaderPrecisionFormat = 15075,
  WebGLSync = 15102,
  WebGLTexture = 15112,
  WebGLTransformFeedback = 15125,
  WebGLUniformLocation = 15148,
  WebGLVertexArrayObject = 15169,
  WebKitCSSMatrix = 15192,
  WebSocket = 15208,
  WheelEvent = 15218,
  Window = 15229,
  WindowClient = 15236,
  WindowContext = 15249,
  WindowGlobalChild = 15263,
  WindowGlobalParent = 15281,
  WindowRoot = 15300,
  Worker = 15311,
  WorkerDebuggerGlobalScope = 15318,
  WorkerGlobalScope = 15344,
  WorkerLocation = 15362,
  WorkerNavigator = 15377,
  WorkerTestUtils = 15393,
  Worklet = 15409,
  WorkletGlobalScope = 15417,
  WritableStream = 15436,
  WritableStreamDefaultController = 15451,
  WritableStreamDefaultWriter = 15483,
  XMLDocument = 15511,
  XMLHttpRequest = 15523,
  XMLHttpRequestEventTarget = 15538,
  XMLHttpRequestUpload = 15564,
  XMLSerializer = 15585,
  XPathEvaluator = 15599,
  XPathExpression = 15614,
  XPathResult = 15630,
  XRBoundedReferenceSpace = 15642,
  XRFrame = 15666,
  XRInputSource = 15674,
  XRInputSourceArray = 15688,
  XRInputSourceEvent = 15707,
  XRInputSourcesChangeEvent = 15726,
  XRPose = 15752,
  XRReferenceSpace = 15759,
  XRReferenceSpaceEvent = 15776,
  XRRenderState = 15798,
  XRRigidTransform = 15812,
  XRSession = 15829,
  XRSessionEvent = 15839,
  XRSpace = 15854,
  XRSystem = 15862,
  XRView = 15871,
  XRViewerPose = 15878,
  XRViewport = 15891,
  XRWebGLLayer = 15902,
  XSLTProcessor = 15915,
  XULCommandEvent = 15929,
  XULElement = 15945,
  XULFrameElement = 15956,
  XULMenuElement = 15972,
  XULPopupElement = 15987,
  XULResizerElement = 16003,
  XULTextElement = 16021,
  XULTreeElement = 16036,
  console = 16051,
  webkitSpeechGrammar = 16059,
  webkitSpeechGrammarList = 16079,
  webkitSpeechRecognition = 16103,
  webkitURL = 16127,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
