#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPseudoElement" "\0"
  /*  1155 */ "CSSRule" "\0"
  /*  1163 */ "CSSRuleList" "\0"
  /*  1175 */ "CSSStyleDeclaration" "\0"
  /*  1195 */ "CSSStyleRule" "\0"
  /*  1208 */ "CSSStyleSheet" "\0"
  /*  1222 */ "CSSSupportsRule" "\0"
  /*  1238 */ "CSSTransition" "\0"
  /*  1252 */ "Cache" "\0"
  /*  1258 */ "CacheStorage" "\0"
  /*  1271 */ "CallbackDebuggerNotification" "\0"
  /*  1300 */ "CanonicalBrowsingContext" "\0"
  /*  1325 */ "CanvasCaptureMediaStream" "\0"
  /*  1350 */ "CanvasGradient" "\0"
  /*  1365 */ "CanvasPattern" "\0"
  /*  1379 */ "CanvasRenderingContext2D" "\0"
  /*  1404 */ "CaretPosition" "\0"
  /*  1418 */ "CaretStateChangedEvent" "\0"
  /*  1441 */ "ChannelMergerNode" "\0"
  /*  1459 */ "ChannelSplitterNode" "\0"
  /*  1479 */ "ChannelWrapper" "\0"
  /*  1494 */ "CharacterData" "\0"
  /*  1508 */ "CheckerboardReportService" "\0"
  /*  1534 */ "ChildProcessMessageManager" "\0"
  /*  1561 */ "ChildSHistory" "\0"
  /*  1575 */ "ChromeMessageBroadcaster" "\0"
  /*  1600 */ "ChromeMessageSender" "\0"
  /*  1620 */ "ChromeNodeList" "\0"
  /*  1635 */ "ChromeUtils" "\0"
  /*  1647 */ "ChromeWorker" "\0"
  /*  1660 */ "Client" "\0"
  /*  1667 */ "Clients" "\0"
  /*  1675 */ "Clipboard" "\0"
  /*  1685 */ "ClipboardEvent" "\0"
  /*  1700 */ "ClipboardItem" "\0"
  /*  1714 */ "ClonedErrorHolder" "\0"
  /*  1732 */ "CloseEvent" "\0"
  /*  1743 */ "CommandEvent" "\0"
  /*  1756 */ "Comment" "\0"
  /*  1764 */ "CompositionEvent" "\0"
  /*  1781 */ "ConsoleInstance" "\0"
  /*  1797 */ "ConstantSourceNode" "\0"
  /*  1816 */ "ContentFrameMessageManager" "\0"
  /*  1843 */ "ContentProcessMessageManager" "\0"
  /*  1872 */ "ConvolverNode" "\0"
  /*  1886 */ "CountQueuingStrategy" "\0"
  /*  1907 */ "CreateOfferRequest" "\0"
  /*  1926 */ "Credential" "\0"
  /*  1937 */ "CredentialsContainer" "\0"
  /*  1958 */ "Crypto" "\0"
  /*  1965 */ "CryptoKey" "\0"
  /*  1975 */ "CustomElementRegistry" "\0"
  /*  1997 */ "CustomEvent" "\0"
  /*  2009 */ "DOMException" "\0"
  /*  2022 */ "DOMImplementation" "\0"
  /*  2040 */ "DOMLocalization" "\0"
  /*  2056 */ "DOMMatrix" "\0"
  /*  2066 */ "DOMMatrixReadOnly" "\0"
  /*  2084 */ "DOMParser" "\0"
  /*  2094 */ "DOMPoint" "\0"
  /*  2103 */ "DOMPointReadOnly" "\0"
  /*  2120 */ "DOMQuad" "\0"
  /*  2128 */ "DOMRect" "\0"
  /*  2136 */ "DOMRectList" "\0"
  /*  2148 */ "DOMRectReadOnly" "\0"
  /*  2164 */ "DOMRequest" "\0"
  /*  2175 */ "DOMStringList" "\0"
  /*  2189 */ "DOMStringMap" "\0"
  /*  2202 */ "DOMTokenList" "\0"
  /*  2215 */ "DataTransfer" "\0"
  /*  2228 */ "DataTransferItem" "\0"
  /*  2245 */ "DataTransferItemList" "\0"
  /*  2266 */ "DebuggerNotification" "\0"
  /*  2287 */ "DebuggerNotificationObserver" "\0"
  /*  2316 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2343 */ "DelayNode" "\0"
  /*  2353 */ "DeprecationReportBody" "\0"
  /*  2375 */ "DeviceAcceleration" "\0"
  /*  2394 */ "DeviceLightEvent" "\0"
  /*  2411 */ "DeviceMotionEvent" "\0"
  /*  2429 */ "DeviceOrientationEvent" "\0"
  /*  2452 */ "DeviceRotationRate" "\0"
  /*  2471 */ "Directory" "\0"
  /*  2481 */ "Document" "\0"
  /*  2490 */ "DocumentFragment" "\0"
  /*  2507 */ "DocumentL10n" "\0"
  /*  2520 */ "DocumentTimeline" "\0"
  /*  2537 */ "DocumentType" "\0"
  /*  2550 */ "DominatorTree" "\0"
  /*  2564 */ "DragEvent" "\0"
  /*  2574 */ "DynamicsCompressorNode" "\0"
  /*  2597 */ "EXT_blend_minmax" "\0"
  /*  2614 */ "EXT_color_buffer_float" "\0"
  /*  2637 */ "EXT_color_buffer_half_float" "\0"
  /*  2665 */ "EXT_disjoint_timer_query" "\0"
  /*  2690 */ "EXT_float_blend" "\0"
  /*  2706 */ "EXT_frag_depth" "\0"
  /*  2721 */ "EXT_sRGB" "\0"
  /*  2730 */ "EXT_shader_texture_lod" "\0"
  /*  2753 */ "EXT_texture_compression_bptc" "\0"
  /*  2782 */ "EXT_texture_compression_rgtc" "\0"
  /*  2811 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2842 */ "EXT_texture_norm16" "\0"
  /*  2861 */ "Element" "\0"
  /*  2869 */ "ElementInternals" "\0"
  /*  2886 */ "ErrorEvent" "\0"
  /*  2897 */ "Event" "\0"
  /*  2903 */ "EventCallbackDebuggerNotification" "\0"
  /*  2937 */ "EventCounts" "\0"
  /*  2949 */ "EventSource" "\0"
  /*  2961 */ "EventTarget" "\0"
  /*  2973 */ "Exception" "\0"
  /*  2983 */ "ExtendableEvent" "\0"
  /*  2999 */ "ExtendableMessageEvent" "\0"
  /*  3022 */ "ExtensionAlarms" "\0"
  /*  3038 */ "ExtensionBrowser" "\0"
  /*  3055 */ "ExtensionEventManager" "\0"
  /*  3077 */ "ExtensionMockAPI" "\0"
  /*  3094 */ "ExtensionPort" "\0"
  /*  3108 */ "ExtensionRuntime" "\0"
  /*  3125 */ "ExtensionScripting" "\0"
  /*  3144 */ "ExtensionTest" "\0"
  /*  3158 */ "External" "\0"
  /*  3167 */ "FeaturePolicy" "\0"
  /*  3181 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3214 */ "FetchEvent" "\0"
  /*  3225 */ "FetchObserver" "\0"
  /*  3239 */ "File" "\0"
  /*  3244 */ "FileList" "\0"
  /*  3253 */ "FileReader" "\0"
  /*  3264 */ "FileReaderSync" "\0"
  /*  3279 */ "FileSystem" "\0"
  /*  3290 */ "FileSystemDirectoryEntry" "\0"
  /*  3315 */ "FileSystemDirectoryHandle" "\0"
  /*  3341 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3381 */ "FileSystemDirectoryIterator" "\0"
  /*  3409 */ "FileSystemDirectoryReader" "\0"
  /*  3435 */ "FileSystemEntry" "\0"
  /*  3451 */ "FileSystemFileEntry" "\0"
  /*  3471 */ "FileSystemFileHandle" "\0"
  /*  3492 */ "FileSystemHandle" "\0"
  /*  3509 */ "FileSystemSyncAccessHandle" "\0"
  /*  3536 */ "FileSystemWritableFileStream" "\0"
  /*  3565 */ "Flex" "\0"
  /*  3570 */ "FlexItemValues" "\0"
  /*  3585 */ "FlexLineValues" "\0"
  /*  3600 */ "FluentBundle" "\0"
  /*  3613 */ "FluentBundleAsyncIterator" "\0"
  /*  3639 */ "FluentBundleIterator" "\0"
  /*  3660 */ "FluentPattern" "\0"
  /*  3674 */ "FluentResource" "\0"
  /*  3689 */ "FocusEvent" "\0"
  /*  3700 */ "FontFace" "\0"
  /*  3709 */ "FontFaceSet" "\0"
  /*  3721 */ "FontFaceSetIterator" "\0"
  /*  3741 */ "FontFaceSetLoadEvent" "\0"
  /*  3762 */ "FormData" "\0"
  /*  3771 */ "FormData Iterator" "\0"
  /*  3789 */ "FormDataEvent" "\0"
  /*  3803 */ "FrameCrashedEvent" "\0"
  /*  3821 */ "FrameLoader" "\0"
  /*  3833 */ "GPU" "\0"
  /*  3837 */ "GPUAdapter" "\0"
  /*  3848 */ "GPUBindGroup" "\0"
  /*  3861 */ "GPUBindGroupLayout" "\0"
  /*  3880 */ "GPUBuffer" "\0"
  /*  3890 */ "GPUBufferUsage" "\0"
  /*  3905 */ "GPUCanvasContext" "\0"
  /*  3922 */ "GPUColorWrite" "\0"
  /*  3936 */ "GPUCommandBuffer" "\0"
  /*  3953 */ "GPUCommandEncoder" "\0"
  /*  3971 */ "GPUCompilationInfo" "\0"
  /*  3990 */ "GPUCompilationMessage" "\0"
  /*  4012 */ "GPUComputePassEncoder" "\0"
  /*  4034 */ "GPUComputePipeline" "\0"
  /*  4053 */ "GPUDevice" "\0"
  /*  4063 */ "GPUDeviceLostInfo" "\0"
  /*  4081 */ "GPUMapMode" "\0"
  /*  4092 */ "GPUOutOfMemoryError" "\0"
  /*  4112 */ "GPUPipelineLayout" "\0"
  /*  4130 */ "GPUQuerySet" "\0"
  /*  4142 */ "GPUQueue" "\0"
  /*  4151 */ "GPURenderBundle" "\0"
  /*  4167 */ "GPURenderBundleEncoder" "\0"
  /*  4190 */ "GPURenderPassEncoder" "\0"
  /*  4211 */ "GPURenderPipeline" "\0"
  /*  4229 */ "GPUSampler" "\0"
  /*  4240 */ "GPUShaderModule" "\0"
  /*  4256 */ "GPUShaderStage" "\0"
  /*  4271 */ "GPUSupportedFeatures" "\0"
  /*  4292 */ "GPUSupportedLimits" "\0"
  /*  4311 */ "GPUTexture" "\0"
  /*  4322 */ "GPUTextureUsage" "\0"
  /*  4338 */ "GPUTextureView" "\0"
  /*  4353 */ "GPUUncapturedErrorEvent" "\0"
  /*  4377 */ "GPUValidationError" "\0"
  /*  4396 */ "GainNode" "\0"
  /*  4405 */ "Gamepad" "\0"
  /*  4413 */ "GamepadAxisMoveEvent" "\0"
  /*  4434 */ "GamepadButton" "\0"
  /*  4448 */ "GamepadButtonEvent" "\0"
  /*  4467 */ "GamepadEvent" "\0"
  /*  4480 */ "GamepadHapticActuator" "\0"
  /*  4502 */ "GamepadLightIndicator" "\0"
  /*  4524 */ "GamepadPose" "\0"
  /*  4536 */ "GamepadServiceTest" "\0"
  /*  4555 */ "GamepadTouch" "\0"
  /*  4568 */ "Geolocation" "\0"
  /*  4580 */ "GeolocationCoordinates" "\0"
  /*  4603 */ "GeolocationPosition" "\0"
  /*  4623 */ "GeolocationPositionError" "\0"
  /*  4648 */ "GetUserMediaRequest" "\0"
  /*  4668 */ "GleanCategory" "\0"
  /*  4682 */ "GleanImpl" "\0"
  /*  4692 */ "GleanLabeled" "\0"
  /*  4705 */ "GleanPingsImpl" "\0"
  /*  4720 */ "Grid" "\0"
  /*  4725 */ "GridArea" "\0"
  /*  4734 */ "GridDimension" "\0"
  /*  4748 */ "GridLine" "\0"
  /*  4757 */ "GridLines" "\0"
  /*  4767 */ "GridTrack" "\0"
  /*  4777 */ "GridTracks" "\0"
  /*  4788 */ "HTMLAllCollection" "\0"
  /*  4806 */ "HTMLAnchorElement" "\0"
  /*  4824 */ "HTMLAreaElement" "\0"
  /*  4840 */ "HTMLAudioElement" "\0"
  /*  4857 */ "HTMLBRElement" "\0"
  /*  4871 */ "HTMLBaseElement" "\0"
  /*  4887 */ "HTMLBodyElement" "\0"
  /*  4903 */ "HTMLButtonElement" "\0"
  /*  4921 */ "HTMLCanvasElement" "\0"
  /*  4939 */ "HTMLCollection" "\0"
  /*  4954 */ "HTMLDListElement" "\0"
  /*  4971 */ "HTMLDataElement" "\0"
  /*  4987 */ "HTMLDataListElement" "\0"
  /*  5007 */ "HTMLDetailsElement" "\0"
  /*  5026 */ "HTMLDialogElement" "\0"
  /*  5044 */ "HTMLDirectoryElement" "\0"
  /*  5065 */ "HTMLDivElement" "\0"
  /*  5080 */ "HTMLDocument" "\0"
  /*  5093 */ "HTMLElement" "\0"
  /*  5105 */ "HTMLEmbedElement" "\0"
  /*  5122 */ "HTMLFieldSetElement" "\0"
  /*  5142 */ "HTMLFontElement" "\0"
  /*  5158 */ "HTMLFormControlsCollection" "\0"
  /*  5185 */ "HTMLFormElement" "\0"
  /*  5201 */ "HTMLFrameElement" "\0"
  /*  5218 */ "HTMLFrameSetElement" "\0"
  /*  5238 */ "HTMLHRElement" "\0"
  /*  5252 */ "HTMLHeadElement" "\0"
  /*  5268 */ "HTMLHeadingElement" "\0"
  /*  5287 */ "HTMLHtmlElement" "\0"
  /*  5303 */ "HTMLIFrameElement" "\0"
  /*  5321 */ "HTMLImageElement" "\0"
  /*  5338 */ "HTMLInputElement" "\0"
  /*  5355 */ "HTMLLIElement" "\0"
  /*  5369 */ "HTMLLabelElement" "\0"
  /*  5386 */ "HTMLLegendElement" "\0"
  /*  5404 */ "HTMLLinkElement" "\0"
  /*  5420 */ "HTMLMapElement" "\0"
  /*  5435 */ "HTMLMarqueeElement" "\0"
  /*  5454 */ "HTMLMediaElement" "\0"
  /*  5471 */ "HTMLMenuElement" "\0"
  /*  5487 */ "HTMLMetaElement" "\0"
  /*  5503 */ "HTMLMeterElement" "\0"
  /*  5520 */ "HTMLModElement" "\0"
  /*  5535 */ "HTMLOListElement" "\0"
  /*  5552 */ "HTMLObjectElement" "\0"
  /*  5570 */ "HTMLOptGroupElement" "\0"
  /*  5590 */ "HTMLOptionElement" "\0"
  /*  5608 */ "HTMLOptionsCollection" "\0"
  /*  5630 */ "HTMLOutputElement" "\0"
  /*  5648 */ "HTMLParagraphElement" "\0"
  /*  5669 */ "HTMLParamElement" "\0"
  /*  5686 */ "HTMLPictureElement" "\0"
  /*  5705 */ "HTMLPreElement" "\0"
  /*  5720 */ "HTMLProgressElement" "\0"
  /*  5740 */ "HTMLQuoteElement" "\0"
  /*  5757 */ "HTMLScriptElement" "\0"
  /*  5775 */ "HTMLSelectElement" "\0"
  /*  5793 */ "HTMLSlotElement" "\0"
  /*  5809 */ "HTMLSourceElement" "\0"
  /*  5827 */ "HTMLSpanElement" "\0"
  /*  5843 */ "HTMLStyleElement" "\0"
  /*  5860 */ "HTMLTableCaptionElement" "\0"
  /*  5884 */ "HTMLTableCellElement" "\0"
  /*  5905 */ "HTMLTableColElement" "\0"
  /*  5925 */ "HTMLTableElement" "\0"
  /*  5942 */ "HTMLTableRowElement" "\0"
  /*  5962 */ "HTMLTableSectionElement" "\0"
  /*  5986 */ "HTMLTemplateElement" "\0"
  /*  6006 */ "HTMLTextAreaElement" "\0"
  /*  6026 */ "HTMLTimeElement" "\0"
  /*  6042 */ "HTMLTitleElement" "\0"
  /*  6059 */ "HTMLTrackElement" "\0"
  /*  6076 */ "HTMLUListElement" "\0"
  /*  6093 */ "HTMLUnknownElement" "\0"
  /*  6112 */ "HTMLVideoElement" "\0"
  /*  6129 */ "HashChangeEvent" "\0"
  /*  6145 */ "Headers" "\0"
  /*  6153 */ "Headers Iterator" "\0"
  /*  6170 */ "HeapSnapshot" "\0"
  /*  6183 */ "History" "\0"
  /*  6191 */ "IDBCursor" "\0"
  /*  6201 */ "IDBCursorWithValue" "\0"
  /*  6220 */ "IDBDatabase" "\0"
  /*  6232 */ "IDBFactory" "\0"
  /*  6243 */ "IDBFileHandle" "\0"
  /*  6257 */ "IDBFileRequest" "\0"
  /*  6272 */ "IDBIndex" "\0"
  /*  6281 */ "IDBKeyRange" "\0"
  /*  6293 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6316 */ "IDBMutableFile" "\0"
  /*  6331 */ "IDBObjectStore" "\0"
  /*  6346 */ "IDBOpenDBRequest" "\0"
  /*  6363 */ "IDBRequest" "\0"
  /*  6374 */ "IDBTransaction" "\0"
  /*  6389 */ "IDBVersionChangeEvent" "\0"
  /*  6411 */ "IIRFilterNode" "\0"
  /*  6425 */ "IOUtils" "\0"
  /*  6433 */ "IdentityCredential" "\0"
  /*  6452 */ "IdleDeadline" "\0"
  /*  6465 */ "Image" "\0"
  /*  6471 */ "ImageBitmap" "\0"
  /*  6483 */ "ImageBitmapRenderingContext" "\0"
  /*  6511 */ "ImageCapture" "\0"
  /*  6524 */ "ImageCaptureError" "\0"
  /*  6542 */ "ImageCaptureErrorEvent" "\0"
  /*  6565 */ "ImageData" "\0"
  /*  6575 */ "ImageDocument" "\0"
  /*  6589 */ "InputEvent" "\0"
  /*  6600 */ "InspectorFontFace" "\0"
  /*  6618 */ "InspectorUtils" "\0"
  /*  6633 */ "InstallTriggerImpl" "\0"
  /*  6652 */ "IntersectionObserver" "\0"
  /*  6673 */ "IntersectionObserverEntry" "\0"
  /*  6699 */ "IntlUtils" "\0"
  /*  6709 */ "JSProcessActorChild" "\0"
  /*  6729 */ "JSProcessActorParent" "\0"
  /*  6750 */ "JSWindowActorChild" "\0"
  /*  6769 */ "JSWindowActorParent" "\0"
  /*  6789 */ "KeyEvent" "\0"
  /*  6798 */ "KeyboardEvent" "\0"
  /*  6812 */ "KeyframeEffect" "\0"
  /*  6827 */ "L10nFileSource" "\0"
  /*  6842 */ "L10nOverlays" "\0"
  /*  6855 */ "L10nRegistry" "\0"
  /*  6868 */ "LegacyMozTCPSocket" "\0"
  /*  6887 */ "Localization" "\0"
  /*  6900 */ "Location" "\0"
  /*  6909 */ "Lock" "\0"
  /*  6914 */ "LockManager" "\0"
  /*  6926 */ "MIDIAccess" "\0"
  /*  6937 */ "MIDIConnectionEvent" "\0"
  /*  6957 */ "MIDIInput" "\0"
  /*  6967 */ "MIDIInputMap" "\0"
  /*  6980 */ "MIDIMessageEvent" "\0"
  /*  6997 */ "MIDIOutput" "\0"
  /*  7008 */ "MIDIOutputMap" "\0"
  /*  7022 */ "MIDIPort" "\0"
  /*  7031 */ "MOZ_debug" "\0"
  /*  7041 */ "MatchGlob" "\0"
  /*  7051 */ "MatchPattern" "\0"
  /*  7064 */ "MatchPatternSet" "\0"
  /*  7080 */ "MathMLElement" "\0"
  /*  7094 */ "MediaCapabilities" "\0"
  /*  7112 */ "MediaCapabilitiesInfo" "\0"
  /*  7134 */ "MediaControlService" "\0"
  /*  7154 */ "MediaController" "\0"
  /*  7170 */ "MediaDeviceInfo" "\0"
  /*  7186 */ "MediaDevices" "\0"
  /*  7199 */ "MediaElementAudioSourceNode" "\0"
  /*  7227 */ "MediaEncryptedEvent" "\0"
  /*  7247 */ "MediaError" "\0"
  /*  7258 */ "MediaKeyError" "\0"
  /*  7272 */ "MediaKeyMessageEvent" "\0"
  /*  7293 */ "MediaKeySession" "\0"
  /*  7309 */ "MediaKeyStatusMap" "\0"
  /*  7327 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7354 */ "MediaKeySystemAccess" "\0"
  /*  7375 */ "MediaKeys" "\0"
  /*  7385 */ "MediaList" "\0"
  /*  7395 */ "MediaMetadata" "\0"
  /*  7409 */ "MediaQueryList" "\0"
  /*  7424 */ "MediaQueryListEvent" "\0"
  /*  7444 */ "MediaRecorder" "\0"
  /*  7458 */ "MediaRecorderErrorEvent" "\0"
  /*  7482 */ "MediaSession" "\0"
  /*  7495 */ "MediaSource" "\0"
  /*  7507 */ "MediaStream" "\0"
  /*  7519 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7551 */ "MediaStreamAudioSourceNode" "\0"
  /*  7578 */ "MediaStreamError" "\0"
  /*  7595 */ "MediaStreamEvent" "\0"
  /*  7612 */ "MediaStreamTrack" "\0"
  /*  7629 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7661 */ "MediaStreamTrackEvent" "\0"
  /*  7683 */ "MerchantValidationEvent" "\0"
  /*  7707 */ "MessageBroadcaster" "\0"
  /*  7726 */ "MessageChannel" "\0"
  /*  7741 */ "MessageEvent" "\0"
  /*  7754 */ "MessageListenerManager" "\0"
  /*  7777 */ "MessagePort" "\0"
  /*  7789 */ "MessageSender" "\0"
  /*  7803 */ "MimeType" "\0"
  /*  7812 */ "MimeTypeArray" "\0"
  /*  7826 */ "MouseEvent" "\0"
  /*  7837 */ "MouseScrollEvent" "\0"
  /*  7854 */ "MozCanvasPrintState" "\0"
  /*  7874 */ "MozDocumentMatcher" "\0"
  /*  7893 */ "MozDocumentObserver" "\0"
  /*  7913 */ "MozQueryInterface" "\0"
  /*  7931 */ "MozSharedMap" "\0"
  /*  7944 */ "MozSharedMap Iterator" "\0"
  /*  7966 */ "MozSharedMapChangeEvent" "\0"
  /*  7990 */ "MozStorageAsyncStatementParams" "\0"
  /*  8021 */ "MozStorageStatementParams" "\0"
  /*  8047 */ "MozStorageStatementRow" "\0"
  /*  8070 */ "MozWritableSharedMap" "\0"
  /*  8091 */ "MutationEvent" "\0"
  /*  8105 */ "MutationObserver" "\0"
  /*  8122 */ "MutationRecord" "\0"
  /*  8137 */ "NamedNodeMap" "\0"
  /*  8150 */ "NavigationPreloadManager" "\0"
  /*  8175 */ "Navigator" "\0"
  /*  8185 */ "NetworkInformation" "\0"
  /*  8204 */ "Node" "\0"
  /*  8209 */ "NodeFilter" "\0"
  /*  8220 */ "NodeIterator" "\0"
  /*  8233 */ "NodeList" "\0"
  /*  8242 */ "Notification" "\0"
  /*  8255 */ "NotificationEvent" "\0"
  /*  8273 */ "NotifyPaintEvent" "\0"
  /*  8290 */ "OES_draw_buffers_indexed" "\0"
  /*  8315 */ "OES_element_index_uint" "\0"
  /*  8338 */ "OES_fbo_render_mipmap" "\0"
  /*  8360 */ "OES_standard_derivatives" "\0"
  /*  8385 */ "OES_texture_float" "\0"
  /*  8403 */ "OES_texture_float_linear" "\0"
  /*  8428 */ "OES_texture_half_float" "\0"
  /*  8451 */ "OES_texture_half_float_linear" "\0"
  /*  8481 */ "OES_vertex_array_object" "\0"
  /*  8505 */ "OVR_multiview2" "\0"
  /*  8520 */ "OfflineAudioCompletionEvent" "\0"
  /*  8548 */ "OfflineAudioContext" "\0"
  /*  8568 */ "OfflineResourceList" "\0"
  /*  8588 */ "OffscreenCanvas" "\0"
  /*  8604 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8638 */ "Option" "\0"
  /*  8645 */ "OscillatorNode" "\0"
  /*  8660 */ "PageTransitionEvent" "\0"
  /*  8680 */ "PaintRequest" "\0"
  /*  8693 */ "PaintRequestList" "\0"
  /*  8710 */ "PaintWorkletGlobalScope" "\0"
  /*  8734 */ "PannerNode" "\0"
  /*  8745 */ "ParentProcessMessageManager" "\0"
  /*  8773 */ "Path2D" "\0"
  /*  8780 */ "PathUtils" "\0"
  /*  8790 */ "PaymentAddress" "\0"
  /*  8805 */ "PaymentMethodChangeEvent" "\0"
  /*  8830 */ "PaymentRequest" "\0"
  /*  8845 */ "PaymentRequestUpdateEvent" "\0"
  /*  8871 */ "PaymentResponse" "\0"
  /*  8887 */ "Performance" "\0"
  /*  8899 */ "PerformanceEntry" "\0"
  /*  8916 */ "PerformanceEntryEvent" "\0"
  /*  8938 */ "PerformanceEventTiming" "\0"
  /*  8961 */ "PerformanceMark" "\0"
  /*  8977 */ "PerformanceMeasure" "\0"
  /*  8996 */ "PerformanceNavigation" "\0"
  /*  9018 */ "PerformanceNavigationTiming" "\0"
  /*  9046 */ "PerformanceObserver" "\0"
  /*  9066 */ "PerformanceObserverEntryList" "\0"
  /*  9095 */ "PerformancePaintTiming" "\0"
  /*  9118 */ "PerformanceResourceTiming" "\0"
  /*  9144 */ "PerformanceServerTiming" "\0"
  /*  9168 */ "PerformanceTiming" "\0"
  /*  9186 */ "PeriodicWave" "\0"
  /*  9199 */ "PermissionStatus" "\0"
  /*  9216 */ "Permissions" "\0"
  /*  9228 */ "PlacesBookmark" "\0"
  /*  9243 */ "PlacesBookmarkAddition" "\0"
  /*  9266 */ "PlacesBookmarkChanged" "\0"
  /*  9288 */ "PlacesBookmarkGuid" "\0"
  /*  9307 */ "PlacesBookmarkMoved" "\0"
  /*  9327 */ "PlacesBookmarkRemoved" "\0"
  /*  9349 */ "PlacesBookmarkTags" "\0"
  /*  9368 */ "PlacesBookmarkTime" "\0"
  /*  9387 */ "PlacesBookmarkTitle" "\0"
  /*  9407 */ "PlacesBookmarkUrl" "\0"
  /*  9425 */ "PlacesEvent" "\0"
  /*  9437 */ "PlacesFavicon" "\0"
  /*  9451 */ "PlacesHistoryCleared" "\0"
  /*  9472 */ "PlacesObservers" "\0"
  /*  9488 */ "PlacesPurgeCaches" "\0"
  /*  9506 */ "PlacesRanking" "\0"
  /*  9520 */ "PlacesVisit" "\0"
  /*  9532 */ "PlacesVisitRemoved" "\0"
  /*  9551 */ "PlacesVisitTitle" "\0"
  /*  9568 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9594 */ "Plugin" "\0"
  /*  9601 */ "PluginArray" "\0"
  /*  9613 */ "PluginCrashedEvent" "\0"
  /*  9632 */ "PointerEvent" "\0"
  /*  9645 */ "PopStateEvent" "\0"
  /*  9659 */ "PopupBlockedEvent" "\0"
  /*  9677 */ "PopupPositionedEvent" "\0"
  /*  9698 */ "PositionStateEvent" "\0"
  /*  9717 */ "PrecompiledScript" "\0"
  /*  9735 */ "PrioEncoder" "\0"
  /*  9747 */ "ProcessMessageManager" "\0"
  /*  9769 */ "ProcessingInstruction" "\0"
  /*  9791 */ "ProgressEvent" "\0"
  /*  9805 */ "PromiseDebugging" "\0"
  /*  9822 */ "PromiseNativeHandler" "\0"
  /*  9843 */ "PromiseRejectionEvent" "\0"
  /*  9865 */ "PublicKeyCredential" "\0"
  /*  9885 */ "PushEvent" "\0"
  /*  9895 */ "PushManager" "\0"
  /*  9907 */ "PushManagerImpl" "\0"
  /*  9923 */ "PushMessageData" "\0"
  /*  9939 */ "PushSubscription" "\0"
  /*  9956 */ "PushSubscriptionOptions" "\0"
  /*  9980 */ "RadioNodeList" "\0"
  /*  9994 */ "Range" "\0"
  /* 10000 */ "ReadableByteStreamController" "\0"
  /* 10029 */ "ReadableStream" "\0"
  /* 10044 */ "ReadableStreamBYOBReader" "\0"
  /* 10069 */ "ReadableStreamBYOBRequest" "\0"
  /* 10095 */ "ReadableStreamDefaultController" "\0"
  /* 10127 */ "ReadableStreamDefaultReader" "\0"
  /* 10155 */ "Report" "\0"
  /* 10162 */ "ReportBody" "\0"
  /* 10173 */ "ReportingObserver" "\0"
  /* 10191 */ "Request" "\0"
  /* 10199 */ "ResizeObserver" "\0"
  /* 10214 */ "ResizeObserverEntry" "\0"
  /* 10234 */ "ResizeObserverSize" "\0"
  /* 10253 */ "Response" "\0"
  /* 10262 */ "SVGAElement" "\0"
  /* 10274 */ "SVGAngle" "\0"
  /* 10283 */ "SVGAnimateElement" "\0"
  /* 10301 */ "SVGAnimateMotionElement" "\0"
  /* 10325 */ "SVGAnimateTransformElement" "\0"
  /* 10352 */ "SVGAnimatedAngle" "\0"
  /* 10369 */ "SVGAnimatedBoolean" "\0"
  /* 10388 */ "SVGAnimatedEnumeration" "\0"
  /* 10411 */ "SVGAnimatedInteger" "\0"
  /* 10430 */ "SVGAnimatedLength" "\0"
  /* 10448 */ "SVGAnimatedLengthList" "\0"
  /* 10470 */ "SVGAnimatedNumber" "\0"
  /* 10488 */ "SVGAnimatedNumberList" "\0"
  /* 10510 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10541 */ "SVGAnimatedRect" "\0"
  /* 10557 */ "SVGAnimatedString" "\0"
  /* 10575 */ "SVGAnimatedTransformList" "\0"
  /* 10600 */ "SVGAnimationElement" "\0"
  /* 10620 */ "SVGCircleElement" "\0"
  /* 10637 */ "SVGClipPathElement" "\0"
  /* 10656 */ "SVGComponentTransferFunctionElement" "\0"
  /* 10692 */ "SVGDefsElement" "\0"
  /* 10707 */ "SVGDescElement" "\0"
  /* 10722 */ "SVGElement" "\0"
  /* 10733 */ "SVGEllipseElement" "\0"
  /* 10751 */ "SVGFEBlendElement" "\0"
  /* 10769 */ "SVGFEColorMatrixElement" "\0"
  /* 10793 */ "SVGFEComponentTransferElement" "\0"
  /* 10823 */ "SVGFECompositeElement" "\0"
  /* 10845 */ "SVGFEConvolveMatrixElement" "\0"
  /* 10872 */ "SVGFEDiffuseLightingElement" "\0"
  /* 10900 */ "SVGFEDisplacementMapElement" "\0"
  /* 10928 */ "SVGFEDistantLightElement" "\0"
  /* 10953 */ "SVGFEDropShadowElement" "\0"
  /* 10976 */ "SVGFEFloodElement" "\0"
  /* 10994 */ "SVGFEFuncAElement" "\0"
  /* 11012 */ "SVGFEFuncBElement" "\0"
  /* 11030 */ "SVGFEFuncGElement" "\0"
  /* 11048 */ "SVGFEFuncRElement" "\0"
  /* 11066 */ "SVGFEGaussianBlurElement" "\0"
  /* 11091 */ "SVGFEImageElement" "\0"
  /* 11109 */ "SVGFEMergeElement" "\0"
  /* 11127 */ "SVGFEMergeNodeElement" "\0"
  /* 11149 */ "SVGFEMorphologyElement" "\0"
  /* 11172 */ "SVGFEOffsetElement" "\0"
  /* 11191 */ "SVGFEPointLightElement" "\0"
  /* 11214 */ "SVGFESpecularLightingElement" "\0"
  /* 11243 */ "SVGFESpotLightElement" "\0"
  /* 11265 */ "SVGFETileElement" "\0"
  /* 11282 */ "SVGFETurbulenceElement" "\0"
  /* 11305 */ "SVGFilterElement" "\0"
  /* 11322 */ "SVGForeignObjectElement" "\0"
  /* 11346 */ "SVGGElement" "\0"
  /* 11358 */ "SVGGeometryElement" "\0"
  /* 11377 */ "SVGGradientElement" "\0"
  /* 11396 */ "SVGGraphicsElement" "\0"
  /* 11415 */ "SVGImageElement" "\0"
  /* 11431 */ "SVGLength" "\0"
  /* 11441 */ "SVGLengthList" "\0"
  /* 11455 */ "SVGLineElement" "\0"
  /* 11470 */ "SVGLinearGradientElement" "\0"
  /* 11495 */ "SVGMPathElement" "\0"
  /* 11511 */ "SVGMarkerElement" "\0"
  /* 11528 */ "SVGMaskElement" "\0"
  /* 11543 */ "SVGMatrix" "\0"
  /* 11553 */ "SVGMetadataElement" "\0"
  /* 11572 */ "SVGNumber" "\0"
  /* 11582 */ "SVGNumberList" "\0"
  /* 11596 */ "SVGPathElement" "\0"
  /* 11611 */ "SVGPathSeg" "\0"
  /* 11622 */ "SVGPathSegArcAbs" "\0"
  /* 11639 */ "SVGPathSegArcRel" "\0"
  /* 11656 */ "SVGPathSegClosePath" "\0"
  /* 11676 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 11702 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 11728 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 11760 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 11792 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 11822 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 11852 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 11888 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 11924 */ "SVGPathSegLinetoAbs" "\0"
  /* 11944 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 11974 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12004 */ "SVGPathSegLinetoRel" "\0"
  /* 12024 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12052 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12080 */ "SVGPathSegList" "\0"
  /* 12095 */ "SVGPathSegMovetoAbs" "\0"
  /* 12115 */ "SVGPathSegMovetoRel" "\0"
  /* 12135 */ "SVGPatternElement" "\0"
  /* 12153 */ "SVGPoint" "\0"
  /* 12162 */ "SVGPointList" "\0"
  /* 12175 */ "SVGPolygonElement" "\0"
  /* 12193 */ "SVGPolylineElement" "\0"
  /* 12212 */ "SVGPreserveAspectRatio" "\0"
  /* 12235 */ "SVGRadialGradientElement" "\0"
  /* 12260 */ "SVGRect" "\0"
  /* 12268 */ "SVGRectElement" "\0"
  /* 12283 */ "SVGSVGElement" "\0"
  /* 12297 */ "SVGScriptElement" "\0"
  /* 12314 */ "SVGSetElement" "\0"
  /* 12328 */ "SVGStopElement" "\0"
  /* 12343 */ "SVGStringList" "\0"
  /* 12357 */ "SVGStyleElement" "\0"
  /* 12373 */ "SVGSwitchElement" "\0"
  /* 12390 */ "SVGSymbolElement" "\0"
  /* 12407 */ "SVGTSpanElement" "\0"
  /* 12423 */ "SVGTextContentElement" "\0"
  /* 12445 */ "SVGTextElement" "\0"
  /* 12460 */ "SVGTextPathElement" "\0"
  /* 12479 */ "SVGTextPositioningElement" "\0"
  /* 12505 */ "SVGTitleElement" "\0"
  /* 12521 */ "SVGTransform" "\0"
  /* 12534 */ "SVGTransformList" "\0"
  /* 12551 */ "SVGUnitTypes" "\0"
  /* 12564 */ "SVGUseElement" "\0"
  /* 12578 */ "SVGViewElement" "\0"
  /* 12593 */ "Sanitizer" "\0"
  /* 12603 */ "Scheduler" "\0"
  /* 12613 */ "Screen" "\0"
  /* 12620 */ "ScreenLuminance" "\0"
  /* 12636 */ "ScreenOrientation" "\0"
  /* 12654 */ "ScriptProcessorNode" "\0"
  /* 12674 */ "ScrollAreaEvent" "\0"
  /* 12690 */ "ScrollViewChangeEvent" "\0"
  /* 12712 */ "SecurityPolicyViolationEvent" "\0"
  /* 12741 */ "Selection" "\0"
  /* 12751 */ "ServiceWorker" "\0"
  /* 12765 */ "ServiceWorkerContainer" "\0"
  /* 12788 */ "ServiceWorkerGlobalScope" "\0"
  /* 12813 */ "ServiceWorkerRegistration" "\0"
  /* 12839 */ "SessionStoreFormData" "\0"
  /* 12860 */ "SessionStoreScrollData" "\0"
  /* 12883 */ "SessionStoreUtils" "\0"
  /* 12901 */ "ShadowRealmGlobalScope" "\0"
  /* 12924 */ "ShadowRoot" "\0"
  /* 12935 */ "SharedWorker" "\0"
  /* 12948 */ "SharedWorkerGlobalScope" "\0"
  /* 12972 */ "SimpleGestureEvent" "\0"
  /* 12991 */ "SourceBuffer" "\0"
  /* 13004 */ "SourceBufferList" "\0"
  /* 13021 */ "SpeechGrammar" "\0"
  /* 13035 */ "SpeechGrammarList" "\0"
  /* 13053 */ "SpeechRecognition" "\0"
  /* 13071 */ "SpeechRecognitionAlternative" "\0"
  /* 13100 */ "SpeechRecognitionError" "\0"
  /* 13123 */ "SpeechRecognitionEvent" "\0"
  /* 13146 */ "SpeechRecognitionResult" "\0"
  /* 13170 */ "SpeechRecognitionResultList" "\0"
  /* 13198 */ "SpeechSynthesis" "\0"
  /* 13214 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13240 */ "SpeechSynthesisEvent" "\0"
  /* 13261 */ "SpeechSynthesisUtterance" "\0"
  /* 13286 */ "SpeechSynthesisVoice" "\0"
  /* 13307 */ "StaticRange" "\0"
  /* 13319 */ "StereoPannerNode" "\0"
  /* 13336 */ "Storage" "\0"
  /* 13344 */ "StorageEvent" "\0"
  /* 13357 */ "StorageManager" "\0"
  /* 13372 */ "StreamFilter" "\0"
  /* 13385 */ "StreamFilterDataEvent" "\0"
  /* 13407 */ "StructuredCloneHolder" "\0"
  /* 13429 */ "StructuredCloneTester" "\0"
  /* 13451 */ "StyleSheet" "\0"
  /* 13462 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13499 */ "StyleSheetList" "\0"
  /* 13514 */ "SubmitEvent" "\0"
  /* 13526 */ "SubtleCrypto" "\0"
  /* 13539 */ "SyncMessageSender" "\0"
  /* 13557 */ "SyncReadFile" "\0"
  /* 13570 */ "TCPServerSocket" "\0"
  /* 13586 */ "TCPServerSocketEvent" "\0"
  /* 13607 */ "TCPSocket" "\0"
  /* 13617 */ "TCPSocketErrorEvent" "\0"
  /* 13637 */ "TCPSocketEvent" "\0"
  /* 13652 */ "TaskController" "\0"
  /* 13667 */ "TaskPriorityChangeEvent" "\0"
  /* 13691 */ "TaskSignal" "\0"
  /* 13702 */ "TelemetryStopwatch" "\0"
  /* 13721 */ "TestUtils" "\0"
  /* 13731 */ "TestingDeprecatedInterface" "\0"
  /* 13758 */ "Text" "\0"
  /* 13763 */ "TextClause" "\0"
  /* 13774 */ "TextDecoder" "\0"
  /* 13786 */ "TextDecoderStream" "\0"
  /* 13804 */ "TextEncoder" "\0"
  /* 13816 */ "TextEncoderStream" "\0"
  /* 13834 */ "TextMetrics" "\0"
  /* 13846 */ "TextTrack" "\0"
  /* 13856 */ "TextTrackCue" "\0"
  /* 13869 */ "TextTrackCueList" "\0"
  /* 13886 */ "TextTrackList" "\0"
  /* 13900 */ "TimeEvent" "\0"
  /* 13910 */ "TimeRanges" "\0"
  /* 13921 */ "Touch" "\0"
  /* 13927 */ "TouchEvent" "\0"
  /* 13938 */ "TouchList" "\0"
  /* 13948 */ "TrackEvent" "\0"
  /* 13959 */ "TransformStream" "\0"
  /* 13975 */ "TransformStreamDefaultController" "\0"
  /* 14008 */ "TransitionEvent" "\0"
  /* 14024 */ "TreeColumn" "\0"
  /* 14035 */ "TreeColumns" "\0"
  /* 14047 */ "TreeContentView" "\0"
  /* 14063 */ "TreeWalker" "\0"
  /* 14074 */ "U2F" "\0"
  /* 14078 */ "UDPMessageEvent" "\0"
  /* 14094 */ "UDPSocket" "\0"
  /* 14104 */ "UIEvent" "\0"
  /* 14112 */ "URL" "\0"
  /* 14116 */ "URLSearchParams" "\0"
  /* 14132 */ "URLSearchParams Iterator" "\0"
  /* 14157 */ "UniFFIPointer" "\0"
  /* 14171 */ "UniFFIScaffolding" "\0"
  /* 14189 */ "UserInteraction" "\0"
  /* 14205 */ "UserProximityEvent" "\0"
  /* 14224 */ "VRDisplay" "\0"
  /* 14234 */ "VRDisplayCapabilities" "\0"
  /* 14256 */ "VRDisplayEvent" "\0"
  /* 14271 */ "VREyeParameters" "\0"
  /* 14287 */ "VRFieldOfView" "\0"
  /* 14301 */ "VRFrameData" "\0"
  /* 14313 */ "VRMockController" "\0"
  /* 14330 */ "VRMockDisplay" "\0"
  /* 14344 */ "VRPose" "\0"
  /* 14351 */ "VRServiceTest" "\0"
  /* 14365 */ "VRStageParameters" "\0"
  /* 14383 */ "VTTCue" "\0"
  /* 14390 */ "VTTRegion" "\0"
  /* 14400 */ "ValidityState" "\0"
  /* 14414 */ "VideoColorSpace" "\0"
  /* 14430 */ "VideoFrame" "\0"
  /* 14441 */ "VideoPlaybackQuality" "\0"
  /* 14462 */ "VideoTrack" "\0"
  /* 14473 */ "VideoTrackList" "\0"
  /* 14488 */ "VisualViewport" "\0"
  /* 14503 */ "WEBGL_color_buffer_float" "\0"
  /* 14528 */ "WEBGL_compressed_texture_astc" "\0"
  /* 14558 */ "WEBGL_compressed_texture_etc" "\0"
  /* 14587 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 14617 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 14648 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 14678 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 14713 */ "WEBGL_debug_renderer_info" "\0"
  /* 14739 */ "WEBGL_debug_shaders" "\0"
  /* 14759 */ "WEBGL_depth_texture" "\0"
  /* 14779 */ "WEBGL_draw_buffers" "\0"
  /* 14798 */ "WEBGL_explicit_present" "\0"
  /* 14821 */ "WEBGL_lose_context" "\0"
  /* 14840 */ "WaveShaperNode" "\0"
  /* 14855 */ "WebExtensionContentScript" "\0"
  /* 14881 */ "WebExtensionPolicy" "\0"
  /* 14900 */ "WebGL2RenderingContext" "\0"
  /* 14923 */ "WebGLActiveInfo" "\0"
  /* 14939 */ "WebGLBuffer" "\0"
  /* 14951 */ "WebGLContextEvent" "\0"
  /* 14969 */ "WebGLFramebuffer" "\0"
  /* 14986 */ "WebGLProgram" "\0"
  /* 14999 */ "WebGLQuery" "\0"
  /* 15010 */ "WebGLRenderbuffer" "\0"
  /* 15028 */ "WebGLRenderingContext" "\0"
  /* 15050 */ "WebGLSampler" "\0"
  /* 15063 */ "WebGLShader" "\0"
  /* 15075 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15102 */ "WebGLSync" "\0"
  /* 15112 */ "WebGLTexture" "\0"
  /* 15125 */ "WebGLTransformFeedback" "\0"
  /* 15148 */ "WebGLUniformLocation" "\0"
  /* 15169 */ "WebGLVertexArrayObject" "\0"
  /* 15192 */ "WebKitCSSMatrix" "\0"
  /* 15208 */ "WebSocket" "\0"
  /* 15218 */ "WheelEvent" "\0"
  /* 15229 */ "Window" "\0"
  /* 15236 */ "WindowClient" "\0"
  /* 15249 */ "WindowContext" "\0"
  /* 15263 */ "WindowGlobalChild" "\0"
  /* 15281 */ "WindowGlobalParent" "\0"
  /* 15300 */ "WindowRoot" "\0"
  /* 15311 */ "Worker" "\0"
  /* 15318 */ "WorkerDebuggerGlobalScope" "\0"
  /* 15344 */ "WorkerGlobalScope" "\0"
  /* 15362 */ "WorkerLocation" "\0"
  /* 15377 */ "WorkerNavigator" "\0"
  /* 15393 */ "WorkerTestUtils" "\0"
  /* 15409 */ "Worklet" "\0"
  /* 15417 */ "WorkletGlobalScope" "\0"
  /* 15436 */ "WritableStream" "\0"
  /* 15451 */ "WritableStreamDefaultController" "\0"
  /* 15483 */ "WritableStreamDefaultWriter" "\0"
  /* 15511 */ "XMLDocument" "\0"
  /* 15523 */ "XMLHttpRequest" "\0"
  /* 15538 */ "XMLHttpRequestEventTarget" "\0"
  /* 15564 */ "XMLHttpRequestUpload" "\0"
  /* 15585 */ "XMLSerializer" "\0"
  /* 15599 */ "XPathEvaluator" "\0"
  /* 15614 */ "XPathExpression" "\0"
  /* 15630 */ "XPathResult" "\0"
  /* 15642 */ "XRBoundedReferenceSpace" "\0"
  /* 15666 */ "XRFrame" "\0"
  /* 15674 */ "XRInputSource" "\0"
  /* 15688 */ "XRInputSourceArray" "\0"
  /* 15707 */ "XRInputSourceEvent" "\0"
  /* 15726 */ "XRInputSourcesChangeEvent" "\0"
  /* 15752 */ "XRPose" "\0"
  /* 15759 */ "XRReferenceSpace" "\0"
  /* 15776 */ "XRReferenceSpaceEvent" "\0"
  /* 15798 */ "XRRenderState" "\0"
  /* 15812 */ "XRRigidTransform" "\0"
  /* 15829 */ "XRSession" "\0"
  /* 15839 */ "XRSessionEvent" "\0"
  /* 15854 */ "XRSpace" "\0"
  /* 15862 */ "XRSystem" "\0"
  /* 15871 */ "XRView" "\0"
  /* 15878 */ "XRViewerPose" "\0"
  /* 15891 */ "XRViewport" "\0"
  /* 15902 */ "XRWebGLLayer" "\0"
  /* 15915 */ "XSLTProcessor" "\0"
  /* 15929 */ "XULCommandEvent" "\0"
  /* 15945 */ "XULElement" "\0"
  /* 15956 */ "XULFrameElement" "\0"
  /* 15972 */ "XULMenuElement" "\0"
  /* 15987 */ "XULPopupElement" "\0"
  /* 16003 */ "XULResizerElement" "\0"
  /* 16021 */ "XULTextElement" "\0"
  /* 16036 */ "XULTreeElement" "\0"
  /* 16051 */ "console" "\0"
  /* 16059 */ "webkitSpeechGrammar" "\0"
  /* 16079 */ "webkitSpeechGrammarList" "\0"
  /* 16103 */ "webkitSpeechRecognition" "\0"
  /* 16127 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

